# FREVR

### Scroll _forever_, and never stop.

#### [View demo](http://goto.pachanka.org/frevr/#posts).

## What
FREVR is a jQuery plugin so it requires the jQuery library, it will work with jQuery versions 1.5 and up.

Its intended mostly for tumblr, but will work on any page with a posts container and a next page link.

## Usage

The three steps you need to make to have a _neverendingforeverongoing_ blog.

 * Setup script
 * Configure
 * Scroll!

Here is a little working snippet:

    $( document ).ready(function() {
        // Configure
        $.frevr({
            next : '#next-page',
            posts : '#posts',
            trigger : 300
        });
        // Initialization
        $.frevr.init();
    });

## Options

These are the options to configure your script.

### Configuration

    $.frevr();

The load call holds the configurations, an object that tell the plugin what to load next and where to put it.

- <code>next</code> str, default <code>#next-page</code>
    - A selector to the anchor element containing the URL to the next page.
- <code>posts</code> str, default <code>#posts</code>
    - The container element to a group of posts.
- <code>trigger</code> int, default <code>500</code>
    - The amount of pixels from the bottom to start the loading the next page.

Example:

    $.frevr({
        next    : '.nav-next-page',
        posts   : '#container',
        trigger : 150
    });

### Initialization

    $.frevr.init();

The initialization function can hold callbacks and before functions in an object.

- <code>before</code> function, default <code>null</code>
    - A function to run before the next page load is attempted.
- <code>after</code> function, default <code>null</code>
    - A function to call after the next page load is attempted.

Example:

    $.frevr.init({ 
        before : function(){ 
            alert('Not yet!');
        },
        after : function(){ 
            alert('Done!');
        }
    });

## More...

If you want to see it in action: [Checkout the demo and documentation guide here](http://goto.pachanka.org/frevr/).
